INTERFACE
SUBROUTINE LASCAW_CLA_TL(KFLEV,KPROM,KGLN,KGLX,KST,KPROF,LDT_SLHD,&
 & KILA,PWH,PDLAT,PKAPPA,PSLD1_,PSLD2_,PSLD3_,PSLDW_,&
 & PWH5,PDLAT5,PKAPPA5,&
 & PCLA,PCLASLD,PCLA5,PCLASLD5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMLASCAW, ONLY : KPDUP
INTEGER(KIND=JPIM), INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM), INTENT(IN) :: KPROM
INTEGER(KIND=JPIM), INTENT(IN) :: KGLN
INTEGER(KIND=JPIM), INTENT(IN) :: KGLX
INTEGER(KIND=JPIM), INTENT(IN) :: KST
INTEGER(KIND=JPIM), INTENT(IN) :: KPROF
LOGICAL , INTENT(IN) :: LDT_SLHD(3)
INTEGER(KIND=JPIM), INTENT(IN) :: KILA(KPROM,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PWH(KPROM,3,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PDLAT(KPROM,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PKAPPA(KPROM,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PSLD1_(KPDUP,KGLN:KGLX)
REAL(KIND=JPRB) , INTENT(IN) :: PSLD2_(KPDUP,KGLN:KGLX)
REAL(KIND=JPRB) , INTENT(IN) :: PSLD3_(KPDUP,KGLN:KGLX)
REAL(KIND=JPRB) , INTENT(IN) :: PSLDW_(KPDUP,3,3,KGLN:KGLX)
REAL(KIND=JPRB) , INTENT(IN) :: PWH5(KPROM,3,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PDLAT5(KPROM,KFLEV)
REAL(KIND=JPRB) , INTENT(IN) :: PKAPPA5(KPROM,KFLEV)
REAL(KIND=JPRB) , INTENT(OUT) :: PCLA(KPROM,KFLEV,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PCLASLD(KPROM,KFLEV,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PCLA5(KPROM,KFLEV,3)
REAL(KIND=JPRB) , INTENT(OUT) :: PCLASLD5(KPROM,KFLEV,3)
END SUBROUTINE LASCAW_CLA_TL
END INTERFACE
